Linux Kernelのoverlayfsに関しての脆弱性情報(Moderate: CVE-2020-16120)

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

10/13/2020にLinux Kernelの脆弱性情報(Moderate: CVE-2020-16120)が公開されています。今回はこちらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。



Priority

CVE番号 影響するバージョン 一次情報源 Priority CVSS Score / CVSS Vector
CVE-2020-16120 CVE-2020-16120 - incorrect unprivileged overlayfs permission checking

Ubuntu: Medium

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-16120
    • ローカルユーザによるセキュリティバイパスの可能性
    • Linux Kernelのoverlay ファイルシステムでの幾つかのシチュエーションで権限確認に問題がありました。ローカルの攻撃者はこれを利用して制限をバイパスし、制限されたファイルに対してreadのアクセス権を得ることができる可能性があります。

主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteKatello、Spacewalk等を使うと管理が便利でしょう。

また、OSの再起動が発生しますので、pacemakerなどOSSのクラスタ製品やLifeKeeperなどの商用のクラスタリング製品を使うとサービス断の時間を最小限にすることが出来ます。

[参考]


セキュリティ系連載案内

セミナー情報1

コンピュータセキュリティシンポジウム(CSS)2020併設のワークショップ、 OSSセキュリティ技術ワークショップ(OWS) 2020の企画講演セッション及び、 一般論文セッションの発表募集をさせていただきます。

今年度はオンラインでの開催となります。奮ってのご投稿、お待ちしております。

https://www.iwsec.org/ows/2020/


OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

前へ

phpMyadminの脆弱性情報(PMASA-2020-5 : CVE-2020-26934, PMASA-2020-6 : CVE-2020-26935)

次へ

Linux KernelのGENEVEトンネルでの脆弱性情報(Moderate: CVE-2020-25645)